#include <stdio.h>
#include <opencv2/opencv.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>

using namespace cv;

int main(int argc, const char* argv[])
{
    VideoCapture cap(1);

    if (!cap.isOpened()) {
        printf("Webcam open error\n");
        return -1;
    }

    Mat src;

    cap >> src;
    cap >> src;
    cap >> src;
    namedWindow("HelloCV");
    imshow("HelloCV", src);

    imwrite("image_01.jpg", src);

    waitKey();

    return 0;
} 

