#include <stdio.h>
#include <opencv2/opencv.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>

using namespace cv;

int main(int argc, const char* argv[])
{
    VideoCapture cap(1);

    if (!cap.isOpened()) {
        printf("Webcam open error\n");
        return -1;
    }
    cap.set(CV_CAP_PROP_FRAME_WIDTH, 640);
    cap.set(CV_CAP_PROP_FRAME_HEIGHT, 480);

    Mat src;

    namedWindow("HelloCV");
    
    while (1) {
        cap >> src;

        imshow("HelloCV", src);

        if (waitKey(10)>0) return 0;
    }

    return 0;
} 

